"Error Loading File" - sha2.so Error

Get help with installation and running PlusSpec here. Please do not post bug reports, feature requests, or suggestion questions here.

Moderator: Daniel

"Error Loading File" - sha2.so Error

Postby DanielB » Fri May 30, 2014 4:44 pm

If you launched SketchUp and this page was shown there is an issue with your plusspec installation. Further information follows.

Here's an error we're seeing a little too often for our liking. In this thread we will make any information we have on this issue available for people experiencing this issue.

The error itself occurs when starting SketchUp 2014, shows the follow error message:
Code: Select all
"Error Loading File C:/Users/redacted/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/rubysketch_plusspec/initialize.rb
Error: #<LoadError: 127: The specified procedure could not be found. - C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/platform_specific/digest/sha2.so>
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/digest/sha2.rb:13:in `<top (required)>'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Users/redacted/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/rubysketch_plusspec/initialize.rb:64:in `block in <top (required)>'
C:/Users/redacted/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/rubysketch_plusspec/initialize.rb:30:in `gracefully'
C:/Users/redacted/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/rubysketch_plusspec/initialize.rb:49:in `<top (required)>'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/extensions.rb:197:in `require'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/extensions.rb:197:in `load'
C:/Users/redacted/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/rubysketch_plusspec.rb:38:in `register_extension'
C:/Users/redacted/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/rubysketch_plusspec.rb:38:in `<module:PlusSpec>'
C:/Users/redacted/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/rubysketch_plusspec.rb:25:in `<module:Rubysketch>'
C:/Users/redacted/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/rubysketch_plusspec.rb:24:in `<top (required)>'"


Current Status: We're looking into this issue and have alerted the SketchUp guys of it's presence.
Current Advice: Update the the latest possible version of plusspec (14.1.1282 as of 9th July 2014). If you are continuing to experience issues, using SketchUp 2013 should allow you to continue using plusspec.

If you are experiencing this issue, you may wish to:
  • Subscribe to this thread for updates
  • Post a reply here stating your OS (Windows version, 32 or 64 bit) and any other plugins you are using

We appreciate your patience while we resolve this issue.
:rubysketch: DanielB
User avatar
DanielB
PlusSpec Developer
 
Posts: 55
Joined: Thu Aug 08, 2013 11:52 am

Re: "Error Loading File" - sha2.so Error

Postby DanielB » Fri Jun 06, 2014 9:29 am

Can anyone suffering from this issue tell me the response from pasting each of these (individually) into their ruby console (Window > Ruby Console?)

Code: Select all
Sketchup.find_support_file("Tools")

Code: Select all
require "digest/sha2"

Code: Select all
puts $:.inspect

Code: Select all
File.exists?(File.join(Sketchup.find_support_file("Tools"), "RubyStdLib/platform_specific/digest/sha2.so"))

Code: Select all
require "digest/sha2.so"


Could you also post the version of SketchUp your are running (as shown in Help > About SketchUp)

Thanks.
:rubysketch: DanielB
User avatar
DanielB
PlusSpec Developer
 
Posts: 55
Joined: Thu Aug 08, 2013 11:52 am

Re: "Error Loading File" - sha2.so Error

Postby JJS » Fri Jun 13, 2014 9:35 pm

Error message after first line

Sketchup.find_support_file(’Tools’)
Error: #<NameError: undefined local variable or method `’Tools’' for main:Object>
<main>:in `<main>'
-e:1:in `eval'
nil

Second line

require "digest/sha2"
Error: #<LoadError: 127: The specified procedure could not be found. - C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/platform_specific/digest/sha2.so>
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/digest/sha2.rb:13:in `<top (required)>'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
<main>:in `<main>'
-e:1:in `eval'
nil
Sketchup.find_support_file(’Tools’)
Error: #<NameError: undefined local variable or method `’Tools’' for main:Object>
<main>:in `<main>'
-e:1:in `eval'
nil
require "digest/sha2"
Error: #<LoadError: 127: The specified procedure could not be found. - C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/platform_specific/digest/sha2.so>
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/digest/sha2.rb:13:in `<top (required)>'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
<main>:in `<main>'
-e:1:in `eval'
nil

Third Line

puts $:.inspect
["C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib", "C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/platform_specific", "C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools", "C:/Users/Josh/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins", "C:/Users/Josh"]
nil

Fourth Line

File.exists?(File.join(Sketchup.find_support_file("Tools"), "RubyStdLib/platform_specific/digest/sha2.so"))
true

Fifth Line

require "digest/sha2.so"
Error: #<LoadError: 127: The specified procedure could not be found. - C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/platform_specific/digest/sha2.so>
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
<main>:in `<main>'
-e:1:in `eval'
nil

Hope this helps.
JJS
 
Posts: 1
Joined: Wed Apr 16, 2014 9:50 pm

Re: "Error Loading File" - sha2.so Error

Postby Laurent » Mon Jul 07, 2014 7:10 pm

same problem with SU2014-w7

Erreur de chargement du fichier C:/Users/Laurent/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/rubysketch_plusspec/initialize.rb
Error: 127: La procédure spécifiée est introuvable.
- C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/platform_specific/digest/sha2.so
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/digest/sha2.rb:13:in `<top (required)>'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:45:in `require'
C:/Users/Laurent/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/rubysketch_plusspec/initialize.rb:67:in `block in <top (required)>'
C:/Users/Laurent/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/rubysketch_plusspec/initialize.rb:30:in `gracefully'
C:/Users/Laurent/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/rubysketch_plusspec/initialize.rb:49:in `<top (required)>'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/extensions.rb:197:in `require'
C:/Program Files (x86)/SketchUp/SketchUp 2014/Tools/extensions.rb:197:in `load'
C:/Users/Laurent/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/rubysketch_plusspec.rb:38:in `register_extension'
C:/Users/Laurent/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/rubysketch_plusspec.rb:38:in `<module:PlusSpec>'
C:/Users/Laurent/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/rubysketch_plusspec.rb:25:in `<module:Rubysketch>'
C:/Users/Laurent/AppData/Roaming/SketchUp/SketchUp 2014/SketchUp/Plugins/rubysketch_plusspec.rb:24:in `<top (required)>'

on SU2013, he also there error "LOADING TOOLS" I still have not received a response from you despite my post.
and my license trial ends tomorrow.
I think buy pluspec but it does not work on SU pro 2013 or 2014
thank you for an answer.
Laurent
 
Posts: 19
Joined: Thu May 15, 2014 5:10 pm
Location: FRANCE

Re: "Error Loading File" - sha2.so Error

Postby JClements » Tue Jul 08, 2014 5:03 am

I have had no problem with the 3.1.5 install nor with the updated Plugins' operation. I am using Windows 7.

Did you install the newest .rb's.
JClements
 
Posts: 41
Joined: Sun Apr 20, 2014 1:52 pm
Location: Portland, Oregon

Re: "Error Loading File" - sha2.so Error

Postby DanielB » Wed Jul 09, 2014 8:59 am

People still experiencing this error - what version of SketchUp are you running, as shown by Help > About SketchUp? If its less than 14.1.1282, try updating and see if that fixes your issue (and please post the result here).
:rubysketch: DanielB
User avatar
DanielB
PlusSpec Developer
 
Posts: 55
Joined: Thu Aug 08, 2013 11:52 am

Re: "Error Loading File" - sha2.so Error

Postby Terry » Mon Oct 27, 2014 5:38 pm

Hi there, just new to the forum and a new user of Pluspec, first post actually! Just downloaded the trail version and have an error saying "Error Loading File rubysketch_plusspec/initialize.rb
Could not find included file 'rubysketch_plusspec/initialize.rb'. Any suggestions on what I need to do to get going.

Thanks
Terry
 
Posts: 6
Joined: Mon Oct 27, 2014 4:56 pm

Re: "Error Loading File" - sha2.so Error

Postby DanielB » Mon Oct 27, 2014 6:16 pm

Sorry, we had an issue uploading - if you re-download and re-install the issue should resolve itself.
:rubysketch: DanielB
User avatar
DanielB
PlusSpec Developer
 
Posts: 55
Joined: Thu Aug 08, 2013 11:52 am


Return to Support

Who is online

Users browsing this forum: No registered users and 1 guest